---
updatedAt: 2026-05-28T07:31:32.000Z
agentTools:
  projectIndex: https://docs.praxis.tech/llms.txt
---

# Get Subscription Payment History

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API",
    "version": "1.3",
    "description": "Praxis Open API 3.0.2 specification document.\nThis contains all the APIs created by Praxis Tech."
  },
  "servers": [
    {
      "url": "https://gw.praxisgate.com",
      "description": "Live(PraxisGate)"
    },
    {
      "url": "https://pci-gw-test.praxispay.com",
      "description": "Sandbox"
    }
  ],
  "paths": {
    "/api/v1.3/subscription/{subscriptionId}/payment-history": {
      "get": {
        "tags": [
          "Subscription"
        ],
        "parameters": [
          {
            "name": "merchant_id",
            "schema": {
              "$ref": "#/components/schemas/merchant_id"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "application_key",
            "schema": {
              "$ref": "#/components/schemas/application_key"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "cid",
            "schema": {
              "$ref": "#/components/schemas/cid"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "page",
            "schema": {
              "$ref": "#/components/schemas/page"
            },
            "in": "query"
          },
          {
            "name": "per_page",
            "schema": {
              "$ref": "#/components/schemas/per_page"
            },
            "in": "query"
          },
          {
            "name": "version",
            "schema": {
              "$ref": "#/components/schemas/version"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "timestamp",
            "schema": {
              "$ref": "#/components/schemas/timestamp"
            },
            "in": "query",
            "required": true
          },
          {
            "name": "gt-authentication",
            "schema": {
              "$ref": "#/components/schemas/property_req_header_signature_params_for_subscriptions"
            },
            "in": "header",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/200-ok-get-subscription-payment-history-response-data"
          },
          "400": {
            "$ref": "#/components/responses/common-400-bad-request-missing-sign-response-data"
          },
          "403": {
            "$ref": "#/components/responses/common-403-forbidden-response-data"
          }
        },
        "operationId": "geSubscriptionPaymentHistory",
        "summary": "Get Subscription Payment History"
      },
      "parameters": [
        {
          "name": "subscriptionId",
          "schema": {
            "$ref": "#/components/schemas/subscription_id"
          },
          "in": "path",
          "required": true
        }
      ]
    }
  },
  "components": {
    "schemas": {
      "application_key": {
        "description": "Identifier of your application (website).",
        "maxLength": 32,
        "type": "string",
        "example": "Sandbox-Application"
      },
      "version": {
        "description": "API version.",
        "maxLength": 3,
        "type": "string",
        "example": "1.3"
      },
      "timestamp": {
        "description": "Request time (unix timestamp, seconds).",
        "maxLength": 11,
        "type": "integer",
        "example": "1755853580"
      },
      "amount": {
        "description": "Transaction amount in cents.\n\n*__Note__*: *For certain currencies there is a fraction other than 100 cents per unit, this is important if you multiply by 100 to send the amount in cents.*",
        "maxLength": 20,
        "type": "integer"
      },
      "cid": {
        "description": "Unique customer id in your system.\r\n\r\n*__Note:__* *Personally Identifiable Information (PII), such as email addresses, is strictly forbidden. If your user identifier contains any PII, you must hash or encrypt it before sending it to the API.*",
        "maxLength": 50,
        "type": "string",
        "example": "1020"
      },
      "gateway": {
        "description": "Gateway doing the processing.",
        "maxLength": 32,
        "type": "string"
      },
      "card_number": {
        "description": "Customer card number (4444 44** **** 1233)",
        "maxLength": 19,
        "type": "string"
      },
      "transaction_status": {
        "description": "Transaction status will change along with processing. Refer [Transaction Statuses](https://docs.praxis.tech/docs/transaction-statuses) for more details",
        "maxLength": 16,
        "type": "string"
      },
      "status_code": {
        "description": "Processing status code (including processing and error codes)",
        "maxLength": 32,
        "type": "string"
      },
      "status_details": {
        "description": "Verbal description of the processing status",
        "maxLength": 256,
        "type": "string"
      },
      "currency": {
        "description": "**Base Currency**: The user's account currency on the merchant site.",
        "maxLength": 10,
        "type": "string"
      },
      "description": {
        "description": "Accurate description of the result. Return the actual error for any exception as it helps to diagnose issues in production.\r\n",
        "type": "string",
        "maxLength": 256
      },
      "status": {
        "description": "API communication status - for transaction processing status please refer to `transaction.transaction.status`\r\n- 0 if the request was successful.\r\n- Negative integer if internal server/network error occurs.\r\n- Positive integer if application/logical error occurs. Refer [API Status & Error Codes](https://docs.praxis.tech/docs/api-status-and-error-codes) for more information.",
        "type": "integer"
      },
      "result": {
        "description": "Error result object",
        "required": [
          "code",
          "description"
        ],
        "type": "object",
        "properties": {
          "code": {
            "description": "Error code",
            "type": "string"
          },
          "description": {
            "description": "Error description",
            "type": "string"
          }
        }
      },
      "object_response_400_bad": {
        "description": "Object - 400-Bad request",
        "type": "object",
        "properties": {
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          }
        }
      },
      "object_response_403_forbidden": {
        "description": "Object - 403-Forbidden",
        "type": "object",
        "properties": {
          "result": {
            "$ref": "#/components/schemas/result"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "property_common_200_ok_response_properties": {
        "required": [
          "status",
          "description",
          "version",
          "timestamp"
        ],
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "description": {
            "$ref": "#/components/schemas/description"
          },
          "version": {
            "$ref": "#/components/schemas/version"
          },
          "timestamp": {
            "$ref": "#/components/schemas/timestamp"
          }
        }
      },
      "retries_number": {
        "description": "Number of retries in case of failure before disabling the plan for the customer. **Default value - 3**",
        "maxLength": 2,
        "type": "integer"
      },
      "created": {
        "description": "Created Plan date (unix timestamp, seconds)",
        "maxLength": 11,
        "type": "integer"
      },
      "page": {
        "description": "Current results page. First page is 1; values lower than 1 are treated as 1.",
        "maxLength": 3,
        "minimum": 1,
        "type": "integer"
      },
      "per_page": {
        "description": "Count of entities for one page",
        "maxLength": 3,
        "type": "integer"
      },
      "subscription_id": {
        "description": "Subscription ID",
        "maxLength": 32,
        "type": "string",
        "example": "tvoS9vGKdDwfGLLvp0r8JJ5d"
      },
      "page_count": {
        "description": "Count of pages in result",
        "maxLength": 3,
        "type": "integer"
      },
      "records_count": {
        "description": "Count of entities in full result",
        "maxLength": 3,
        "type": "integer"
      },
      "object_response_200_ok_get_subscription_payment_history": {
        "description": "200 Successful get available gateways response",
        "type": "object",
        "allOf": [
          {
            "$ref": "#/components/schemas/property_common_200_ok_response_properties"
          },
          {
            "required": [
              "cid",
              "payments",
              "page_count",
              "records_count"
            ],
            "type": "object",
            "properties": {
              "cid": {
                "$ref": "#/components/schemas/cid"
              },
              "payments": {
                "description": "Array of transactions for selected subscription",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/property_transaction_of_customer_subscription"
                }
              },
              "page": {
                "$ref": "#/components/schemas/page"
              },
              "per_page": {
                "$ref": "#/components/schemas/per_page"
              },
              "page_count": {
                "$ref": "#/components/schemas/page_count"
              },
              "records_count": {
                "$ref": "#/components/schemas/records_count"
              }
            }
          }
        ]
      },
      "property_transaction_of_customer_subscription": {
        "required": [
          "subscription_id",
          "tid"
        ],
        "type": "object",
        "properties": {
          "subscription_id": {
            "$ref": "#/components/schemas/subscription_id"
          },
          "tid": {
            "$ref": "#/components/schemas/tid"
          },
          "card_number": {
            "$ref": "#/components/schemas/card_number"
          },
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          },
          "gateway": {
            "$ref": "#/components/schemas/gateway"
          },
          "status_code": {
            "$ref": "#/components/schemas/status_code"
          },
          "status_details": {
            "$ref": "#/components/schemas/status_details"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "created_at": {
            "$ref": "#/components/schemas/created"
          },
          "retry_number": {
            "$ref": "#/components/schemas/retries_number"
          }
        }
      },
      "merchant_id": {
        "description": "Merchant API client account identifier.",
        "maxLength": 50,
        "type": "string",
        "example": "Sandbox-API"
      },
      "tid": {
        "description": "Transaction identifier",
        "maxLength": 11,
        "type": "integer"
      },
      "property_req_header_signature_params_for_subscriptions": {
        "title": "signature",
        "description": "Authentication HTTP header of your outgoing request to the API.\nBelow request parameters should be used for creating signature in request header.\n- `merchant_id`\n- `application_key` \n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      },
      "property_res_header_signature_params_common": {
        "title": "signature",
        "description": "Authentication HTTP header of the incoming response from the API.\nBelow response parameters should be used for validating the signature in response header.\n- `status`\n- `timestamp`",
        "type": "string",
        "example": "15ca3dadf8e1cb8a64301317f3ce5f8587d1adf37e42ae50702ae35732974193f3f464ddcb019fa0e2f5f3043b1cd23b"
      }
    },
    "responses": {
      "common-403-forbidden-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_403_forbidden"
            },
            "examples": {
              "Access Forbidden": {
                "value": {
                  "result": {
                    "code": "200.300.404",
                    "description": "Access Forbidden, IP:46.199.43.137"
                  },
                  "timestamp": "2025-02-03 13:21:47+0000"
                }
              }
            }
          }
        },
        "description": "Forbidden request - IP address not whitelisted"
      },
      "common-400-bad-request-missing-sign-response-data": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_400_bad"
            },
            "examples": {
              "Missing signature": {
                "value": {
                  "status": 400,
                  "description": "GT-Authentication header is missing"
                }
              }
            }
          }
        },
        "description": "Bad request - Missing signature"
      },
      "200-ok-get-subscription-payment-history-response-data": {
        "headers": {
          "external-request-signature": {
            "schema": {
              "$ref": "#/components/schemas/property_res_header_signature_params_common"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/object_response_200_ok_get_subscription_payment_history"
            },
            "examples": {
              "success response": {
                "value": {
                  "status": 0,
                  "description": "Payments history fetched successfully",
                  "cid": "user-1234",
                  "payments": [
                    {
                      "subscription_id": "1GQ0xJonekLvqKTUdH1ELyYs",
                      "tid": 10004,
                      "card_number": "444433******1111",
                      "amount": 20000,
                      "currency": "USD",
                      "gateway": "4b82384fe2c4d163ab41cf0e408c2d0a",
                      "status_code": "GE-006",
                      "status_details": "Insufficient funds",
                      "status": "rejected",
                      "created_at": 1680821826,
                      "retry_number": 2
                    },
                    {
                      "subscription_id": "1GQ0xJonekLvqKTUdH1ELyYs",
                      "tid": 10003,
                      "card_number": "444433******1111",
                      "amount": 20000,
                      "currency": "USD",
                      "gateway": "4b82384fe2c4d163ab41cf0e408c2d0a",
                      "status_code": "GE-006",
                      "status_details": "Insufficient funds",
                      "status": "rejected",
                      "created_at": 1680820215,
                      "retry_number": 1
                    },
                    {
                      "subscription_id": "1GQ0xJonekLvqKTUdH1ELyYs",
                      "tid": 10002,
                      "card_number": "444433******1111",
                      "amount": 20000,
                      "currency": "USD",
                      "gateway": "4b82384fe2c4d163ab41cf0e408c2d0a",
                      "status_code": "GE-006",
                      "status_details": "Insufficient funds",
                      "status": "rejected",
                      "created_at": 1680820104
                    }
                  ],
                  "page": 1,
                  "per_page": 20,
                  "page_count": 13,
                  "records_count": 250,
                  "version": 1.3,
                  "timestamp": 1680712861
                }
              },
              "failure response": {
                "value": {
                  "status": -1,
                  "description": "Customer subscriptions not found",
                  "version": 1.3,
                  "timestamp": 1680712861
                }
              }
            }
          }
        },
        "description": "OK - Successful response"
      }
    }
  }
}
```